# Please check again if someone wants to import
# this also to EPEL.

# Upstream uses hg for SCM
# googlecode now no longer provide source, create
# it from SCM
#
# hg clone https://code.google.com/p/gphotoframe/
# cd gphotoframe/
# hg archive -t tbz2 "gphotoframe-<version>-hg%h.tar.bz2"

%global	hghash		2084299dffb6

%global	mainver	2.0.2
#%%define	minorver	-b1

%global	mainrel	1

%global	rpmminorver	%(echo "%minorver" | sed -e 's|^-||' | sed -e 's|\\\.||')
%global	fedorarel	%{?minorver:0.}%{mainrel}%{?minorver:.%rpmminorver}%{?hghash:.hg%hghash}

Name:		gphotoframe
Version:	%{mainver}
Release:	%{fedorarel}%{?dist}.1
Summary:	Photo Frame Gadget for the GNOME Desktop

Group:		Amusements/Graphics
# GPLv3 seems safer than GPLv3+
# Some image files are under GPLv2+
# Documents under help/ directory are under GFDL
License:	GPLv3 and GPLv2+ and GFDL
URL:		http://code.google.com/p/gphotoframe/
#Source0:	http://gphotoframe.googlecode.com/files/%{name}-%{mainver}%{?minorver}.tar.gz
Source:	%{name}-%{mainver}%{?minorver}%{?hghash:-hg%hghash}.tar.bz2
# bug 1078155
# The following file missing
#Source1:	https://gphotoframe.googlecode.com/hg/share/assistant_facebook.glade

# Handle exif file with zero denominator on geometry information
# bug 845418
Patch2:	gphotoframe-2.0a2-parseexif-geom-zerovalue.patch
# Fix yet another case on exif information with zero denominator
# bug 885377
Patch3:	gphotoframe-1.5.1-parseexif-fraction-zerodiv.patch
# Support python-twisted 13.x API
#Patch4:	gphotoframe-2.0-a3-twisted-13-API.patch
# https://git.gnome.org/browse/gdk-pixbuf/commit/?id=112eab418137df2d2f5f97e75fb48f17e7f771e7
# gdk-pixbuf 2.31.2 changed API
Patch4:	gphotoframe-2.0.1-gdk-pixbuf2-2_31_2_API.patch

BuildRequires:	GConf2
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	python2-devel
BuildRequires:	python-distutils-extra
# For creating symlink -> python-bytecompiling
BuildRequires:	python-exif
# From 1.2-b6: setup.py needs this
BuildRequires:	pyxdg

# Mandatory
Requires:	pygobject3
Requires:	python-exif
Requires:	python-twisted-web
Requires:	pyxdg
# lib/plugins/tumblr/account.py
Requires:	python-oauth

# girepository
Requires:	gtk3
Requires:	webkitgtk3
# Optional
Requires:	libproxy-python
# girepository
Requires:	clutter-gtk
Requires:	python-feedparser
# girepository
Requires:	libchamplain-gtk
# Scriptlets

Requires(pre):	GConf2

BuildArch:	noarch

%description
Gnome Photo Frame is a photo frame gadget for the GNOME Desktop.

%package	gss
Summary:	Compatibility package of %{name} for gnome-screensaver
Group:		Amusements/Graphics
Requires:	%{name} = %{version}-%{release}
Requires:	gnome-screensaver

%description	gss
This package contains scripts and desktop files of %{name}
for gnome-screensaver compatibility.

%prep
%setup -q -n %{name}-%{mainver}%{?minorver}%{?hghash:-hg%hghash}

%patch2 -p2 -b .zeroden
%patch3 -p1 -b .zeroden2
%patch4 -p1 -b .pixbuf_23102

# Remove unneeded shebangs
grep -rl '^#![ \t]*%{_bindir}' lib/ | \
	xargs sed -i -e '\@^#![ \t]*%{_bindir}@d'

# install missing glade file
# bug 1078155
#cp -p %%{SOURCE1} share/
sed -i.glade \
	-e "s|'share/menu.ui',|'share/menu.ui','share/assistant_facebook.glade',|" \
	setup.py

# Explicitly don't use clutter-gtk for now
# Enable again with 2.0-a3
%if 0
grep -rl 'import clutter' lib/ | \
	xargs sed -i -e 's|import clutter|import dont_use_clutter|'
%endif

%if 0
# Use system-wide EXIF
ln -sf %{python_sitelib}/EXIF.py lib/utils/EXIF.py
%endif

%build
# Do nothing
#%%{__python} setup.py build

%install
mkdir -p %{buildroot}

%{__python} setup.py install \
%if 0
	--skip-build \
%endif
	--root %{buildroot}

%if 0
# And again use system-wide EXIF.py
ln -sf %{python_sitelib}/EXIF.py \
	%{buildroot}%{python_sitelib}/%{name}/utils/EXIF.py
%endif

# Gsettings Schemas
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
install -cpm 0644 \
	share/com.googlecode.gphotoframe.gschema.xml.in \
	%{buildroot}%{_datadir}/glib-2.0/schemas/com.googlecode.gphotoframe.gschema.xml

# Desktop
desktop-file-validate \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

# gnome-screensver related
# FIXME: I don't use gnome-screensaver...
mkdir -p \
	%{buildroot}%{_libexecdir}/gnome-screensaver
# ignore failure (if any) for screensaver desktop
desktop-file-validate \
	%{buildroot}%{_datadir}/applications/screensavers/gphotoframe-screensaver.desktop || true
# lib/ is hardcoded in setup.py
mv %{buildroot}%{_prefix}/lib/gnome-screensaver/gnome-screensaver/gphotoframe-screensaver \
	%{buildroot}%{_libexecdir}/gnome-screensaver/

%find_lang %{name}

%if 0
# Treak brp-python-bytecompile
%global	__os_install_post_orig		%{__os_install_post}
%global	__os_install_post \
	%__os_install_post_orig \
	for f in %{python_sitelib}/EXIF.py* \
	do \
		ln -sf $f %{buildroot}%{python_sitelib}/%{name}/utils/$(basename $f) \
	done \
	%{nil}
%endif

%pre
%gconf_schema_obsolete %{name}
exit 0

%post
touch --no-create %{_datadir}/icons/hicolor >/dev/null
exit 0

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor >/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
	glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null
fi
exit 0

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null
exit 0


%files	-f %{name}.lang
%defattr(-,root,root,-)
%doc	COPYING
%doc	GPL
%doc	README
%doc	changelog

%{_bindir}/%{name}
%{python_sitelib}/%{name}-*.egg-info
%{python_sitelib}/%{name}/

%dir	%{_datadir}/%{name}/
%{_datadir}/%{name}/*.ui
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.glade
#%%{_datadir}/%{name}/*.svg
%{_datadir}/%{name}/extra/
%{_datadir}/%{name}/history/

%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/

#%%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/glib-2.0/schemas/com.googlecode.%{name}.gschema.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*

%{_datadir}/appdata/%{name}.appdata.xml

%files	gss
%defattr(-,root,root,-)
%{_libexecdir}/gnome-screensaver/%{name}-screensaver
%{_datadir}/applications/screensavers/%{name}-screensaver.desktop

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-1.hg2084299dffb6.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Apr  3 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.0.2-1.hg2084299dffb6
- 2.0.2

* Thu Jan  1 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.0.1-3.hg0eed26d75481
- A Happy New Year
- Adjust for gdk-pixbuf 2.31.2 API

* Fri Dec  5 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.0.1-2.hg0eed26d75481
- Add appdata

* Tue Dec  2 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.0.1-1.hg82fdb3350fbd
- 2.0.1

* Wed Nov 26 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.0.1-0.1.b1.hga78a9b1d0cee
- 2.0.1-b1

* Sun Nov  9 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.0-1.hg4fb32b74a755
- 2.0 release, and hg 1 commit ahead

* Mon Jul 12 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.0-0.6.a3
- Support python-twisted 13.x API

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.5.a3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 10 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.0-0.5.a3
- Add missing glade file for tumblr authentification (bug 1078155)

* Wed Nov 13 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.0-0.4.a3
- 2.0-a3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.3.a2.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.3.a2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 10 2012 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.0-0.3.a2
- Fix yet another case on exif information with zero denominator
  (bug 885377)

* Mon Aug 19 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 2.0-0.2.a2
- Fix traceback when choosing photo source on setting gui
- Fix traceback when choosing folder plugin on setting gui
- Handle exif file with zero denominator on geometry information

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.1.a2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 15 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 2.0-0.1.a2
- 2.0-a2

* Thu Mar 15 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.5.1-2
- Fix scriptlet type name

* Mon Mar  5 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.5.1-1
- 1.5.1

* Sun Jan 15 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.5-1
- 1.5

* Sun Jan  8 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.5-0.2.rc1
- 1.5 rc1

* Tue Dec 20 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.5-0.1.b1
- 1.5 b1

* Wed Nov 30 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.4.1-1
- 1.4.1

* Fri Nov 25 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.4.1-0.1.b1
- 1.4.1-b1

* Tue Jul  5 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.4-1
- 1.4

* Thu Jun 30 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.4-0.2.rc1
- 1.4 rc1

* Sun Jun 12 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.4-0.1.b2
- 1.4 b2

* Sun Apr 17 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.3-1
- 1.3

* Tue Apr 12 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.3-0.3.rc2
- 1.3 rc2

* Sat Apr  2 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.3-0.2.b2
- 1.3 b2

* Thu Mar 24 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.3-0.1.b1
- Try 1.3 b1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2-1
- 1.2 formal

* Thu Jan 27 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2-0.3.rc1
- 1.2 rc1

* Tue Jan 18 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2-0.2.b6
- Update to 1.2b6

* Mon Dec 27 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2-0.1.b4
- Update to 1.2b4
- And pull patch from hg head to fix gnome-screensaver related dbus error

* Sat Oct 23 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1-1
- Update to 1.1

* Tue Jul 27 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-14: rebuild against python 2.7

* Sun Jul 25 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0-2
- Fix license tag
- Remove unneeded macro definition

* Sat Jul 24 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0-1
- Initial packaging

